1. Warehouse - HMAC Auth
Calven Developer Docs
  • Overview
  • Access Control
  • Basic Authentication
  • HMAC Authentication
  • SDKs
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users
    • Events
    • Locations
    • Groups
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Events
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
  • Org Hierarchy
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Schemas
    • Schemas
      • LeaveRequestBody
      • TimeoffRequestBody
      • TimeOffEvent
      • TimeoffResponse
      • TimeoffEventResponse
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • SourceEventResultCode
    • SourceEventResultDto
    • DMPostUserAttributesResponseDto
    • ApiServiceException
    • VisitorArrivalEventDto
    • DWLocationsResponseDto
    • DWChangeLogUserResponseDto
    • DWUsersResponseDto
    • PresenceEventDto
    • DWUserBookingAttendanceResponseDto
    • DWPresenceResponseDto
    • DWDesksResponseDto
    • DWGroupsResponseDto
    • DMGroupRelationshipDto
    • DMPostUserAttributesRecordResponseDto
    • CreateVisitorArrivalEventResponseDto
    • OccupancyEventDto
    • CreatePresenceEventDto
    • EventResultDto
    • CreatePresenceEventResponseDto
    • ResultCodes
    • CreateOccupancyEventDto
    • CreateOccupancyEventResponseDto
    • AuthRequestDto
    • AuthResponseDto
    • OAuthResponseDto
    • AccessCredentialUpdateRequest
    • AccessCredentialUpdate
    • AccessCredential
    • AccessCredentialUpdateResponse
    • AccessCredentialUpdateResult
    • AccessCredentialUpdateResultCodes
    • OAuthRequestDto
    • CreateVisitorArrivalEventDto
    • DWEventsResponseDto
    • TimeOffRequestBodyDto
    • TimeOffResponseDto
    • PutDMGroupHierarchyRelationshipBodyDto
    • ParkingBookingReportPrincipalDto
    • ParkingBookingReportSpotDto
    • ParkingBookingReportZoneDto
    • ParkingBookingReportAreaDto
    • GetParkingBookingReportResponseDto
  1. Warehouse - HMAC Auth

User Actions Log

GET
/v1/analytics/change-log/user
The user action log contains events about user's plans and bookings. This information is helpful when investigating why a user may have been booked in a specific location. It is recommended that you are familiar with Calven's data model before utilizing this endpoint. Users have 2 related features - plans and bookings. When a user's plan is updated to/from the office, they will also have their booking updated. Because of this, you will often see pairs of events together that are triggered from the same system action.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/analytics/change-log/user?startDate=undefined&endDate=undefined&userIds=undefined'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
[
    {
        "eventTime": "2022-06-05T00:00:00.000Z",
        "eventType": "calven.booking.fact.locationBookingCreated",
        "userId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "day": "2022-06-05T00:00:00.000Z",
        "reasonCode": "userSelected",
        "source": "admin",
        "locationId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "locationName": "New York",
        "zoneId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "zoneName": "New York",
        "placeId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "placeName": "New York",
        "bookingId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "placeBookingGroupId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "plan": "a",
        "bookingDepth": 1,
        "bookingIntentGroupId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "isTentative": true,
        "isBookingConfirmed": true,
        "updatedBy": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b"
    }
]
Modified at 2026-09-01 05:14:50
Previous
Presence
Next
Org Hierarchy Information Overview
Built with